GtkWidget *
create_frame (GtkWidget *parent, gchar *text, gint spacing);

GtkWidget *
create_tabframe (GtkWidget *parent);

GtkWidget *
create_space_frame (GtkWidget *parent, gint space);

GtkWidget *
create_table (GtkWidget *parent, gint rows, gint cols);

GtkWidget *
create_vbox (GtkWidget *parent, gboolean h, gint s);

GtkWidget *
create_hbox (GtkWidget *parent, gboolean h, gint s);

GtkWidget *
create_tabvbox (GtkWidget *parent);

GtkWidget *
create_tabhbox (GtkWidget *parent);

GtkWidget *
create_label (GtkWidget *parent, const gchar *text);

GtkWidget *
create_hsep (GtkWidget *parent);

GtkWidget *
create_vsep (GtkWidget *parent);

GtkWidget *
create_space_hbox (GtkWidget *parent, GtkWidget *content);

GtkWidget *
create_category (GtkWidget *parent, GtkWidget *content, gchar *title);

GtkWidget *
create_button (GtkWidget *parent, gchar *label, GtkSignalFunc func);

GtkWidget *
create_named_button (GtkWidget *parent, gchar *label, gchar *name, GtkSignalFunc func);

GtkWidget *
create_button_with_data (GtkWidget *parent, gchar *label, GtkSignalFunc func, gpointer data);

GtkWidget *
create_named_button_with_data (GtkWidget *parent, gchar *label, gchar *name, GtkSignalFunc func, gpointer data);

GtkWidget *
create_stock_button (GtkWidget *parent, gpointer stock, GtkSignalFunc func);

GtkWidget *
create_named_stock_button (GtkWidget *parent, gpointer stock, gchar *name, GtkSignalFunc func);

GtkWidget *
create_stock_button_with_data (GtkWidget *parent, gpointer stock, GtkSignalFunc func, gpointer data);

GtkWidget *
create_named_stock_button_with_data (GtkWidget *parent, gpointer stock, gchar *name, GtkSignalFunc func, gpointer data);

GtkWidget *
create_entry (GtkWidget *parent, gchar *name, const gchar *value);

GtkWidget *
create_check (GtkWidget *parent, gchar *text, gchar *name);

GtkWidget *
create_radio (GtkWidget *parent, GSList *group, gchar *text, gchar *name);

GtkWidget *
create_spin (GtkWidget *parent, gchar *name, gint min, gint max, gint value);

GtkWidget *
create_color_picker (GtkWidget *parent, gchar *name);

GtkWidget *
create_icon_entry (GtkWidget *parent, gchar *name, const gchar *icon_path);

GtkWidget *
create_font_picker (GtkWidget *parent, gchar *name);

GtkWidget *
create_scale (GtkWidget *parent, gchar *name, gint value, gint min, gint max);

GtkWidget *
create_file_entry (GtkWidget *parent, gchar *name, const gchar *value);

GtkWidget *
create_clist (GtkWidget *parent, gchar *name, gint cols, gint rowh,
			  GtkSignalFunc on_row_selected, GtkSignalFunc on_row_moved);

void
create_clist_column (GtkWidget *sw, gint col, gint width, gchar *label);

GtkWidget *
create_vbuttonbox (GtkWidget *parent);

GtkWidget *
create_hbuttonbox (GtkWidget *parent);

GtkWidget *
create_combo (GtkWidget *parent);

GtkWidget *
create_clist_combo (GtkWidget *parent, gint num_cols, gchar **titles);

GSList *
get_radio_group (GtkWidget *radio);

void
table_add (GtkWidget *table, GtkWidget *w, gint x, gint y, GtkAttachOptions x_opts);

void
table_add_y (GtkWidget *table, GtkWidget *w, gint x, gint y,
			 GtkAttachOptions x_opts, GtkAttachOptions y_opts);

GtkWidget *
create_ok_cancel_dialog (gchar *title, GtkSignalFunc on_ok, GtkSignalFunc on_cancel, gpointer data);

GtkWidget *
create_close_dialog (gchar *title, GtkSignalFunc on_close, gpointer data);

GtkWidget *
create_pixmap (GtkWidget *parent, GdkPixmap *pm, GdkBitmap *mask);

GtkWidget *
create_progress_bar (GtkWidget *parent);

GtkWidget *
create_sw (GtkWidget *parent);

void
progress_bar_update (GtkWidget *pbar, gint max);

char *
get_entry_text (GtkWidget *parent, gchar *entry_name);

